org.apache.flume

## Class Constants

- java.lang.Object
- - org.apache.flume.Constants

-     public final class Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYSPROP_CALLED_FROM_SERVICE` Disables the fail-fast startup behavior.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSPROP_CALLED_FROM_SERVICE

          public static final String SYSPROP_CALLED_FROM_SERVICE

      Disables the fail-fast startup behavior. This would be used in the scenario where the agent is expected to start, but the config file be populated at a later point in time.
      See Also:
        Constant Field Values

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.